// ==UserScript==
// @name        Nettavisen noblink
// @namespace   snake66
// @description Remove annoying blinking backgrounds and animated marquees at nettavisen.no.
// @include     https://*.nettavisen.no/*
// @version     1
// @grant       none
// ==/UserScript==

let nettavisen_blink_classes = [
  'optimus-element-sonar',
]

function nettavisen_noblink()
{
  for (let cls of nettavisen_blink_classes) {
    for (let blinker of document.getElementsByClassName(cls)) {
      blinker.remove()
    }
  }
}

let nettavisen_obsrvr = new MutationObserver(nettavisen_noblink)
nettavisen_obsrvr.observe(document, { attributes: true, childList: true, subtree: true })
